orchestrator
2024.10
false
- 入门指南
- 身份验证
- Swagger 定义
- Orchestrator API
- 平台管理 API
重要 :
新发布内容的本地化可能需要 1-2 周的时间才能完成。

Orchestrator API 指南
上次更新日期 2026年3月24日
获取设置
使用此端点检索电子邮件和身份验证设置的键值对列表。
API 端点
GET https://{yourDomain}/{organizationName}/identity/api/Setting
作用域
需要以下作用域:
- PM.Setting
- PM.Setting.Read
请求标头
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:
要获取{access_token} ,请确保通过此处描述的其中一种方法进行身份验证。
查询参数
| 查询参数 | 数据类型 | 描述 |
|---|---|---|
key (可选) | 字符串 | 输入要检索的设置名称。 例如,如要检索 SMTP 域设置,请输入“key=Email.Smtp.Domain”。 |
partitionGlobalId (可选) | 字符串 | 要检索其设置的组织的 ID。 |
userId (可选) | 字符串 | 要检索其设置的用户的 ID。 |
响应
200 OK
返回查询的机器人帐户。
请求示例
假设您收集了构建 API 调用所需的所有信息。
- 您的
{baseURL}为:https://{yourDomain}/{organizationName}/{tenantName}/ - 您的
{access_token}为:1234(出于长度考虑)。 {partitionGlobalId}为:magic-7- 您需要检索全局电子邮件设置,以便以主持人管理员身份登录。在此例中,您无需提供
userID。
调用应如下所示 (cURL):
curl --location --request GET 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/Setting?partitionGlobalId=magic-7&key=Email.Smtp.Domain&key=Email.Smtp.EnableSsl&key=Email.Smtp.FromDisplayName&key=Email.Smtp.FromEmail&key=Email.Smtp.Host&key=Email.Smtp.Password&key=Email.Smtp.Port&key=Email.Smtp.UseDefaultCredentials&key=Email.Smtp.UserName' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/Setting?partitionGlobalId=magic-7&key=Email.Smtp.Domain&key=Email.Smtp.EnableSsl&key=Email.Smtp.FromDisplayName&key=Email.Smtp.FromEmail&key=Email.Smtp.Host&key=Email.Smtp.Password&key=Email.Smtp.Port&key=Email.Smtp.UseDefaultCredentials&key=Email.Smtp.UserName' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
以下是成功调用的响应正文:
[
{
"id": 6,
"key": "Email.Smtp.FromEmail",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 7,
"key": "Email.Smtp.FromDisplayName",
"value": "Hogwarts server - 21.10 - Clean",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 15,
"key": "Email.Smtp.Domain",
"value": "",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 16,
"key": "Email.Smtp.EnableSsl",
"value": "true",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 17,
"key": "Email.Smtp.Port",
"value": "587",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 18,
"key": "Email.Smtp.UseDefaultCredentials",
"value": "false",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 19,
"key": "Email.Smtp.UserName",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 20,
"key": "Email.Smtp.Host",
"value": "smtp.gmail.com",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 21,
"key": "Email.Smtp.Password",
"value": "protego-spell",
"partitionGlobalId": "magic-7",
"userId": null
}
]
[
{
"id": 6,
"key": "Email.Smtp.FromEmail",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 7,
"key": "Email.Smtp.FromDisplayName",
"value": "Hogwarts server - 21.10 - Clean",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 15,
"key": "Email.Smtp.Domain",
"value": "",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 16,
"key": "Email.Smtp.EnableSsl",
"value": "true",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 17,
"key": "Email.Smtp.Port",
"value": "587",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 18,
"key": "Email.Smtp.UseDefaultCredentials",
"value": "false",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 19,
"key": "Email.Smtp.UserName",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 20,
"key": "Email.Smtp.Host",
"value": "smtp.gmail.com",
"partitionGlobalId": "magic-7",
"userId": null
},
{
"id": 21,
"key": "Email.Smtp.Password",
"value": "protego-spell",
"partitionGlobalId": "magic-7",
"userId": null
}
]